using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using System.Data.Odbc;

namespace D_ExecuteScalar
{
    class ExecuteScalar
    {
        static string connectionString = "DRIVER={MySQL ODBC 3.51 Driver};" +
            "SERVER=oberon.cs.wisc.edu;PORT=3400;" +
            "DATABASE=CS369_0;USER=CS369_0;PASSWORD=26351;OPTION=3;";

        static void Main(string[] args)
        {
            OdbcConnection connection = new OdbcConnection(connectionString);
            OdbcCommand command = new OdbcCommand();

            command.Connection = connection;
            command.CommandText = "select count(*) from people;";

            try
            {
                connection.Open();

                int count = System.Convert.ToInt32(command.ExecuteScalar());

                Console.WriteLine(string.Format("Number of students: {0}", count));
            }
            catch (Exception e)
            {
                Console.Error.WriteLine(e.Message);
            }
            finally
            {
                if (connection.State == ConnectionState.Open)
                    connection.Close();
            }

            Console.WriteLine("Hit return to exit.");
            Console.Read();
        }
    }
}
